> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Export lead disposition outcome history

> Exports disposition data for one lead, packaging outcome history for reporting, audit review, or handoff workflows.



## OpenAPI

````yaml /openapi.json get /dispositions/lead/{leadId}/export
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /dispositions/lead/{leadId}/export:
    get:
      tags:
        - Dispositions
      summary: Export lead disposition outcome history
      description: >-
        Exports disposition data for one lead, packaging outcome history for
        reporting, audit review, or handoff workflows.
      operationId: Dispositions_ExportByLeadId
      parameters:
        - name: leadId
          in: path
          description: The lead identifier.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the disposition export response.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/DispositionExportResponse'
                description: >-
                  API response containing disposition export data returned to
                  callers.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    DispositionExportResponse:
      type: object
      properties:
        fileName:
          type: string
          description: The file name value for this disposition export.
        contentType:
          type: string
          description: The content type classification for this disposition export.
        csv:
          type: string
          description: The csv value for this disposition export.
        rows:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/DispositionExportRow'
            description: >-
              API response containing disposition export row data returned to
              callers.
          description: The rows included with this disposition export.
      description: API response containing disposition export data returned to callers.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    DispositionExportRow:
      type: object
      properties:
        leadId:
          type: string
          description: The lead ID associated with this disposition export row.
          nullable: true
        dispositionId:
          type: string
          description: The disposition ID associated with this disposition export row.
          nullable: true
        type:
          type: string
          description: The type classification for this disposition export row.
          nullable: true
        outcome:
          type: string
          description: The outcome value for this disposition export row.
          nullable: true
        category:
          enum:
            - Open
            - Qualified
            - Converted
            - Lost
            - Invalid
            - Duplicate
          type: string
          description: >-
            Controlled disposition categories used for reporting, automation,
            and analytics.
          nullable: true
        oldDispositionId:
          type: string
          description: >-
            Unique identifier of the old disposition associated with this
            Leadping disposition export row.
          nullable: true
        oldDispositionType:
          type: string
          description: >-
            Old disposition type classification for this Leadping disposition
            export row.
          nullable: true
        oldDispositionOutcome:
          type: string
          description: >-
            Old disposition outcome associated with this Leadping disposition
            export row.
          nullable: true
        newDispositionId:
          type: string
          description: >-
            Unique identifier of the new disposition associated with this
            Leadping disposition export row.
          nullable: true
        changeSource:
          enum:
            - User
            - AI
            - Automation
            - System
            - API
          type: string
          description: Known sources that can change a lead's current disposition.
          nullable: true
        changedByUserId:
          type: string
          description: Unique identifier of the Leadping user who made the change.
          nullable: true
        changedByAutomationId:
          type: string
          description: >-
            Unique identifier of the automation that changed the disposition,
            when applicable.
          nullable: true
        changedAt:
          type: string
          description: Date and time when the disposition change occurred.
          format: date-time
          nullable: true
        reason:
          type: string
          description: >-
            Human-readable explanation for the current disposition export row
            outcome.
          nullable: true
        followUpStatus:
          type: string
          description: The current follow up status for this disposition export row.
          nullable: true
        callbackAt:
          type: string
          description: >-
            The date and time for the callback at value on this disposition
            export row.
          format: date-time
          nullable: true
        taskDueAt:
          type: string
          description: >-
            The date and time for the task due at value on this disposition
            export row.
          format: date-time
          nullable: true
        appointmentStartAt:
          type: string
          description: >-
            The date and time for the appointment start at value on this
            disposition export row.
          format: date-time
          nullable: true
        appointmentEndAt:
          type: string
          description: >-
            The date and time for the appointment end at value on this
            disposition export row.
          format: date-time
          nullable: true
        assignedToUserId:
          type: string
          description: The assigned to user ID associated with this disposition export row.
          nullable: true
        sourceId:
          type: string
          description: The source ID associated with this disposition export row.
          nullable: true
        relatedCallEventId:
          type: string
          description: >-
            The related call event ID associated with this disposition export
            row.
          nullable: true
        isMissedCallFollowUp:
          type: boolean
          description: Whether this disposition export row is missed call follow up.
        notes:
          type: string
          description: >-
            The operator or customer notes recorded for this disposition export
            row.
          nullable: true
        createdAt:
          type: string
          description: >-
            The date and time for the created at value on this disposition
            export row.
          format: date-time
        updatedAt:
          type: string
          description: >-
            The date and time for the updated at value on this disposition
            export row.
          format: date-time
      description: API response containing disposition export row data returned to callers.

````